summaryrefslogtreecommitdiffstats
path: root/release/scripts/X11/build_x.sh
diff options
context:
space:
mode:
Diffstat (limited to 'release/scripts/X11/build_x.sh')
-rwxr-xr-xrelease/scripts/X11/build_x.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/release/scripts/X11/build_x.sh b/release/scripts/X11/build_x.sh
index 0294467..24b56fe 100755
--- a/release/scripts/X11/build_x.sh
+++ b/release/scripts/X11/build_x.sh
@@ -40,8 +40,8 @@ fi
home_dir=`dirname $0`
# check out the XFree86 and XFree86-contrib ports and set them up
-if ! ( cd $home_dir && cvs -R -d ${CVSROOT} co -P XFree86 XFree86-contrib && \
- cd XFree86 && patch < ../XF86.patch ); then
+if ! ( cd $home_dir && \
+ cvs -R -d ${CVSROOT} co -P XFree86 XFree86-contrib ); then
echo "Could not checkout the XFree86 port!"
echo
usage
@@ -49,8 +49,8 @@ fi
# actually build X
if ! ( cd $home_dir/XFree86 && \
- make DISTDIR=/usr/ports/distfiles DESTDIR=${output_dir} \
- NO_PKG_REGISTER=yes all install ); then
+ make BUILD_XDIST=yes DISTDIR=/usr/ports/distfiles \
+ DESTDIR=${output_dir} NO_PKG_REGISTER=yes all install ); then
echo "Could not build XFree86!"
echo
usage
OpenPOWER on IntegriCloud